Skip to main content
`Ctrl`+`K`

# SNESNewtonTRGetTolerances

Gets the trust region parameter tolerances.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNewtonTRGetTolerances(SNES snes, PetscReal *delta_min, PetscReal *delta_max, PetscReal *delta_0)

Not Collective

## Input Parameter

- snes - the `SNES` context

## Output Parameters

- delta_min - minimum allowed trust region size or `NULL`

- delta_max - maximum allowed trust region size or `NULL`

- delta_0 - initial trust region size or `NULL`

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESNEWTONTR`, `SNESNewtonTRSetTolerances()`

## Level

intermediate

## Location

src/snes/impls/tr/tr.c

## Implementations

SNESNewtonTRGetTolerances_TR() in src/snes/impls/tr/tr.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages